% COSTS.m define the costs used in the simulations

clear;
%% Constants
discountrate = 4; % percent
lifespan = 20; % years
exchrateUSDtoEUR = 0.8; % 1 USD = 0.8 EUR

%% Additional capital costs
% Abatement tech
% Installation costs (USD) [high scenarios assumed]
capex.scrubber  = 3  * 10^6;   % Retrofit (1 main engine +3 aux.engines): 2,5-3 mill. 
capex.EGR       = 2  * 10^6 * exchrateUSDtoEUR; % From MAN (mail Vilmar, via Solvang)
capex.SCRe      = 3  * 10^6;   % Approx. 3 mill
capex.LNGconv   = 20 * 10^6;   % Retrofit: 15-20 mill (2000 m3 LNG tank capacity), installation included
capex.none      = 0;

%% Additional operating costs (annual)

% Abatement tech
% Added maintenance costs (USD) [high scenarios assumed]
opex.addmaint.scrubber   = capex.scrubber * 0.10;    % 5-10 percent of capex annually
opex.addmaint.EGR        = 0;                        % none
opex.addmaint.SCRe       = capex.SCRe * 0.10;        % 5-10 percent of capex annually
opex.addmaint.LNGconv    = 0;                        % none
opex.addmaint.none       = 0;

% Fuel prices (USD/ton)
fuelprice.HFO = 450;
fuelprice.MGO = 750;
fuelprice.LNG = 650;

% Fees (USD)
fee.SuezCanal	= 205496;   % Average fee (ballast/laden)
fee.NSR         = 1.1 * fee.SuezCanal;

% Save to file
save('costs.mat','-v7.3');