function[] = read_ice()

% READ_ICE.m reads the ice condition and thickness data from the 
% Excel-files 'icedata_ct.xlsx' and 'icedata_thicknesses.xlsx' and saves
% the data in variables. Also, the  coordinates for the ice data and the
% dates are stored in separate vectors. The data is saved for later use in
% the simulations.

cd data
ice_coord = xlsread('icedata_ct.xlsx',1,'A4:B103'); % N, E, in decimals
[n, dates] = xlsread('icedata_ct.xlsx',1,'E3:AF3'); % dates in date format
formatIn = 'dd.mm.yyyy';
ice_dates = datenum(dates,formatIn);

% Read ice data (lower limit)
datarange = 'E4:AF103';
ice_c  = xlsread('icedata_ct.xlsx',2,datarange); % given in percent
ice_t  = xlsread('icedata_thicknesses.xlsx',2,datarange); % given in cm
cd ..

% Save data
save('icedata.mat','ice_coord','ice_dates','ice_c','ice_t','-v7.3');

end