% SCENARIOS.m define the input variables for the different emission
% abatement scenarios for the simulations.
clear;

% Define which fuels and technologies are used in ECAs for the different
% scenarios
basecase.fuel = 'HFO';
basecase.ECAfuel = 'MGO';
basecase.SOxtech = 'none';    % fuel switch
basecase.NOxtech = 'none';

scenone.fuel = 'HFO';
scenone.ECAfuel = 'HFO';
scenone.SOxtech = 'scrubber';
scenone.NOxtech = 'SCRe';  % SCRe = selective catalytic reduction

scentwo.fuel = 'HFO';
scentwo.ECAfuel = 'MGO';
scentwo.SOxtech = 'none';   % fuel switch
scentwo.NOxtech = 'SCRe';

scenthree.fuel = 'HFO';
scenthree.ECAfuel = 'LNG';
scenthree.SOxtech = 'LNGconv'; % fuel switch
scenthree.NOxtech = 'EGR';

% Save to file
save('scenarios.mat','-v7.3');